<section class="container">
  <form [formGroup]="formCredit" (submit)="onSubmitCredit()" (keyup.enter)="onSubmitCredit()">
    <div class="form-group">
      <label for="exampleFormControlInput1">Nombre de la empresa</label>
      <input formControlName="companyName" class="form-control" id="exampleFormControlInput1" type="text" placeholder="Nombre de la empresa">
      <div class="pushError" [ngClass]="{'pushErrorShow': formCredit.controls.companyName.invalid && formCredit.controls.companyName.touched}">
        <span>Ingresa un nombre de empresa</span>
      </div>
    </div>
    <div class="form-group form-group-nit">
      <label for="exampleFormControlInput2">Número de nit</label>
      <input formControlName="nit" class="form-control form-control-nit" id="exampleFormControlInput2" [ngClass]="{'bad-border': formCredit.controls.nit.invalid && formCredit.controls.nit.touched}"
        type="text" placeholder="Nit">

      <!-- </div>
    <div class="form-group">
      <label for="exampleFormControlInput2">Digito de identificacion</label> -->
      <input formControlName="nitVerifi" class="form-control form-control-verifi" id="exampleFormControlInput2" [ngClass]="{'bad-border': formCredit.controls.nitVerifi.invalid && formCredit.controls.nitVerifi.touched}"
        type="text" placeholder="">

      <div class="pushError" [ngClass]="{'pushErrorShow': (formCredit.controls.nit.invalid && formCredit.controls.nit.touched) || (formCredit.controls.nitVerifi.invalid && formCredit.controls.nitVerifi.touched)}">
        <span>Ingresa número de nit</span>
      </div>
      <!-- <div class="pushError" [ngClass]="{'pushErrorShow': formCredit.controls.nitVerifi.invalid && formCredit.controls.nitVerifi.touched}">
        <span>Ingresa el digito de verificacion</span>
      </div> -->
    </div>
    <div class="form-group">
      <label for="exampleFormControlInput3">Salario actual</label>
      <input formControlName="salary" class="form-control" id="exampleFormControlInput3" [ngClass]="{'bad-border': formCredit.controls.salary.invalid && formCredit.controls.salary.touched}"
        type="text" placeholder="Salario actual" currencyMask>
      <div class="pushError" [ngClass]="{'pushErrorShow': formCredit.controls.salary.invalid && formCredit.controls.salary.touched}">
        <span>Ingresa salario actual</span>
      </div>
      <div class="pushError" [ngClass]="{'pushErrorShow': formCredit.value.salary > 100000000}">
        <span>Ingresa un salario menor a 100.000.000</span>
      </div>
      <div class="pushError" [ngClass]="{'pushErrorShow': formCredit.value.salary < 800000 && formCredit.controls.salary.touched}">
        <span>Tu salario debe ser superior a 800.000</span>
      </div>
    </div>
    <div class="form-group">
      <label for="exampleFormControlInput2">Fecha de ingreso</label>
      <div class="input-group">
        <input class="form-control" formControlName="date" placeholder="yyyy-mm-dd" name="dp" ngbDatepicker #d="ngbDatepicker">
        <div class="input-group-append">
          <button class="btn btn-outline-secondary " (click)="d.toggle()" type="button">
            <i class="fa fa-calendar" aria-hidden="true"></i>
          </button>
        </div>
      </div>
      <div class="pushError" [ngClass]="{'pushErrorShow': formCredit.controls.date.invalid && formCredit.controls.date.touched}">
        <span>Ingresa una fecha de ingreso</span>
      </div>
      <div class="pushError" [ngClass]="{'pushErrorShow': dateNoValid}">
        <span>Tu fecha de ingreso debe ser mayor a un año y medio</span>
      </div>
    </div>


    <div *ngIf="formCredit.value.salary" class="alert alert-primary" role="alert">
      Valor a aprobar <a *ngIf="formCredit.value.salary >= 800000 && formCredit.value.salary <= 1000000"  class="alert-link"> $5.000.000 </a>  
                      <a *ngIf="formCredit.value.salary > 1000000 && formCredit.value.salary <= 4000000" class="alert-link"> $20.000.000 </a>
                      <a *ngIf="formCredit.value.salary > 4000000" class="alert-link"> $50.000.000 </a>
    </div>

    <button type="button" [disabled]="formCredit.invalid || formCredit.value.salary < 800000 || formCredit.value.salary > 100000000" class="btn btn-primary" (click)="onSubmitCredit()">Enviar</button>
  </form>
</section>